<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Products Management') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg p-6">
                @if(session('message'))
                    <x-bladewind::alert type="{{ session('type') }}">{{ session('message') }}</x-bladewind::alert>
                @endif
                <div class="mb-4 flex justify-between">
                    <h2 class="text-lg font-semibold">{{__('Products List')}}</h2>
                    @can('product-create')
                        <x-bladewind.button tag="a" href="{{ route('products.create') }}" color="green" icon="plus-small" >{{__('Create New Product')}}</x-bladewind.button>
                    @endcan
                </div>
                <x-bladewind.table divider="thin" has_shadow="true" celled="true">
                    <x-slot name="header">
                        <th>{{__('No')}}</th>
                        <th>{{__('Name')}}</th>
                        <th>{{__('Details')}}</th>
                        <th>{{__('Action')}}</th>
                    </x-slot>
                    @foreach ($products as $key => $product)
                        <tr >
                            <td >{{ ++$i }}</td>
                            <td >{{ $product->name }}</td>
                            <td >{{ $product->detail }}</td>
                            <td >
                                <x-bladewind.button tag="a" href="{{ route('products.show',$product->id) }}" size="tiny" color="cyan" icon="list-bullet" >{{__('Show')}}</x-bladewind.button>
                                @can('product-edit')
                                    <x-bladewind.button tag="a" href="{{ route('products.edit',$product->id) }}" size="tiny" color="yellow" icon="pencil-square" >{{__('Edit')}}</x-bladewind.button>
                                @endcan
                                @can('product-delete')
                                    <form method="POST" action="{{ route('products.destroy',$product->id) }}" class="inline" onsubmit="return confirm('Are you sure?');">
                                        @csrf
                                        @method('DELETE')
                                        <x-bladewind.button can_submit="true"  size="tiny" color="red" icon="trash" >{{__('Delete')}}</x-bladewind.button>
                                    </form>
                                @endcan
                            </td>
                        </tr>
                    @endforeach
                </x-bladewind.table>

                <div class="mt-4">
                    {!! $products->links('pagination::tailwind') !!}
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
