<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Show Role') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg p-6">
                <div class="mb-4">
                    <x-bladewind.button tag="a" href="{{ route('roles.index') }}"  color="blue" icon="arrow-left" >{{__('Back')}}</x-bladewind.button>
                </div>
                
                <x-bladewind::card title="Role Details">
                    <x-bladewind::list-view>
                        <x-bladewind::list-item>
                            <label class="block font-medium text-gray-700 dark:text-gray-300">{{__('Name')}}:</label>
                            <x-bladewind::alert color="blue" show-close-icon="false">
                            {{ $role->name }}
                            </x-bladewind::alert>
                        </x-bladewind::list-item>
                        <x-bladewind::list-item>
                            <label class="block font-medium text-gray-700 dark:text-gray-300">{{__('Permissions')}}:</label>
                            <div class="flex flex-wrap gap-2 mt-1">
                            @forelse($rolePermissions as $v)
                                <x-bladewind::alert color="blue" show-close-icon="false">
                                    {{ $v->name }}
                                </x-bladewind::alert>
                            @empty
                                <x-bladewind::alert type="Warning" show-close-icon="false">
                                    {{__('No permission information')}}
                                </x-bladewind::alert>
                            @endforelse
                            </div>
                        </x-bladewind::list-item>
                    </x-bladewind::list-view>
                </x-bladewind::card>
            </div>
        </div>
    </div>
</x-app-layout>
