<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Edit User') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg p-6">
                @if ($errors->any())
                    <div class="mb-4 p-4 bg-red-500 text-white rounded-lg">
                        <strong>Whoops!</strong> There were some problems with your input.<br><br>
                        <ul class="list-disc pl-5">
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="mb-4">
                    <x-bladewind.button tag="a" href="{{ route('users.index') }}"  color="blue" icon="arrow-left" >{{__('Back')}}</x-bladewind.button>
                </div>

                <form method="POST" action="{{ route('users.update', $user->id) }}">
                    @csrf
                    @method('PUT')
                    <x-bladewind::input name="name" label="{{__('Name')}}:" placeholder="Name" value="{{ $user->name }}"/>
                    <x-bladewind::input type="email" name="email" label="{{__('Email')}}:" placeholder="Email" value="{{ $user->email }}"/>
                    <x-bladewind::input type="password" name="password" label="{{__('Password')}}:" placeholder="Password"/>
                    <x-bladewind::input type="password" name="confirm_password" label="{{__('Confirm Password')}}:" placeholder="Confirm Password" />
                    
                    <div class="mt-4">
                        <label class="block font-medium text-gray-700 dark:text-gray-300">{{__('Role')}}:</label>
                        <select name="roles[]" class="w-full p-2 border border-gray-300 rounded" multiple>
                            @foreach ($roles as $value => $label)
                                <option value="{{ $value }}" {{ in_array($value, $userRole) ? 'selected' : '' }}>
                                    {{ $label }}
                                </option>
                            @endforeach
                        </select>
                    </div>

                    <div class="mt-6 text-center">
                        <x-bladewind.button can_submit="true" color="blue" icon="pencil-square" >{{__('Submit')}}</x-bladewind.button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</x-app-layout>