<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Show User') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg p-6">
                <div class="mb-4">
                    <x-bladewind.button tag="a" href="{{ route('users.index') }}"  color="blue" icon="arrow-left" >{{__('Back')}}</x-bladewind.button>
                </div>
                <x-bladewind::card title="User Details">
                    <x-bladewind::list-view>
                        <x-bladewind::list-item>
                            <label class="block font-medium text-gray-700 dark:text-gray-300">{{__('Name')}}:</label>
                            <x-bladewind::alert color="blue" show-close-icon="false">
                                {{ $user->name }}
                            </x-bladewind::alert>
                        </x-bladewind::list-item>
                        <x-bladewind::list-item>
                            <label class="block font-medium text-gray-700 dark:text-gray-300">{{__('Email')}}:</label>
                            <x-bladewind::alert color="blue" show-close-icon="false">
                                {{ $user->email }}
                            </x-bladewind::alert>
                        </x-bladewind::list-item>
                        <x-bladewind::list-item>
                            <label class="block font-medium text-gray-700 dark:text-gray-300">{{__('Roles')}}:</label>
                            
                            @if(!empty($user->getRoleNames()))
                                @foreach($user->getRoleNames() as $v)
                                <x-bladewind::alert color="blue" show-close-icon="false">
                                {{ $v }}
                                </x-bladewind::alert>
                                @endforeach
                            @endif
                        </x-bladewind::list-item>
                    </x-bladewind::list-view>
                </x-bladewind::card>
            </div>
        </div>
    </div>
</x-app-layout>
